task DownSample {

  String sample_id
  File fastq
  Int n
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    seqkit sample --two-pass --threads $nt -s 100 -n ${n} ${fastq} -o ${sample_id}.fastq.gz
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {
    File out_fastq = "${sample_id}.fastq.gz"
  }

}
